# Interface XAxis

#### Hierarchy

- XAxis

#####
Index

### Properties

majorTick
minorTick
scale
size
step
tickLabel
title
titleStyle
viewportMax
viewportMin

## Properties

### majorTick

majorTick: XAxisMajorTick

The x axis major tick properties.

### minorTick

minorTick: XAxisMinorTick

The x axis minor tick properties.

### scale

scale: string

The scale of the axis.

### size

size: number

The size of the axis.

### step

step: number

The increment between major tick marks in x axis.

### tickLabel

tickLabel: XAxisTickLabel

The x axis tick label properties.

### title

title: string

The axis title.

### titleStyle

titleStyle: object

The axis title style.

### viewportMax

viewportMax: number

The current maximum value of x axis viewport.

### viewportMin

viewportMin: number

The current minimum value of x axis viewport.

Generated using TypeDoc